Bug 978602 - SELinux is preventing /opt/google/chrome/nacl_helper_bootstrap from 'mmap_zero' accesses on the memprotect .
SELinux is preventing /opt/google/chrome/nacl_helper_bootstrap from 'mmap_zer...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:c33ae18f1c9fab33802eeef9aa6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 18:26 EDT by Sayak Sarkar
Modified: 2013-08-13 14:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-01 05:02:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sayak Sarkar 2013-06-26 18:26:07 EDT
Description of problem:
SELinux is preventing /opt/google/chrome/nacl_helper_bootstrap from 'mmap_zero' accesses on the memprotect .

*****  Plugin mmap_zero (53.1 confidence) suggests  **************************

If you do not think /opt/google/chrome/nacl_helper_bootstrap should need to mmap low memory in the kernel.
Then you may be under attack by a hacker, this is a very dangerous access.
Do
contact your security administrator and report this issue.

*****  Plugin catchall_boolean (42.6 confidence) suggests  *******************

If you want to control the ability to mmap a low area of the address space, as configured by /proc/sys/kernel/mmap_min_addr.
Then you must tell SELinux about this by enabling the 'mmap_low_allowed' boolean.
You can read 'unconfined_selinux' man page for more details.
Do
setsebool -P mmap_low_allowed 1

*****  Plugin catchall (5.76 confidence) suggests  ***************************

If you believe that nacl_helper_bootstrap should be allowed mmap_zero access on the  memprotect by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep nacl_helper_boo /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                 [ memprotect ]
Source                        nacl_helper_boo
Source Path                   /opt/google/chrome/nacl_helper_bootstrap
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           google-chrome-stable-28.0.1500.52-207119.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-54.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.6-301.fc19.x86_64 #1 SMP Mon
                              Jun 17 14:26:26 UTC 2013 x86_64 x86_64
Alert Count                   17
First Seen                    2013-06-23 22:04:01 IST
Last Seen                     2013-06-27 03:55:00 IST
Local ID                      bcbd9a0d-db7f-4c0c-ac84-4d73d774c680

Raw Audit Messages
type=AVC msg=audit(1372285500.162:552): avc:  denied  { mmap_zero } for  pid=5205 comm="nacl_helper_boo" scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=memprotect


type=SYSCALL msg=audit(1372285500.162:552): arch=x86_64 syscall=mmap success=no exit=EACCES a0=f000 a1=1000 a2=0 a3=4032 items=0 ppid=1 pid=5205 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=pts0 comm=nacl_helper_boo exe=/opt/google/chrome/nacl_helper_bootstrap subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)

Hash: nacl_helper_boo,unconfined_t,unconfined_t,memprotect,mmap_zero

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.6-301.fc19.x86_64
type:           libreport

Potential duplicate: bug 859625
Comment 1 Daniel Walsh 2013-06-27 10:41:36 EDT
Please open a bug with google/chrome.  They should not need this access.

Note You need to log in before you can comment on or make changes to this bug.